Bug 128802 - customize toolbar with drag and drop causes crash
Summary: customize toolbar with drag and drop causes crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-11-14 14:51 UTC by thekswenson
Modified: 2019-11-19 11:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thekswenson 2019-11-14 14:51:34 UTC
Description:
When re-ordering the items in the toolbar list by drag and drop strange things occur, including disappearing items and application crash.

Steps to Reproduce:
1.Open Writer or Impress
2.right-click on toolbar and choose "Customize toolbar...". 
3.drag and drop items in the right-side "Function" list

Actual Results:
Items will disappear, or the application will crash.

Expected Results:
The items should be reordered.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Comment 1 Xisco Faulí 2019-11-14 15:11:54 UTC
I can reproduce it in

Version: 6.4.0.0.beta1+
Build ID: 956153105bbf900f3b20aea98338148cf545fa0e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2019-11-14 15:27:12 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d92d98b35bb1846c82b401a53392a64118f51da2

author	Caolán McNamara <caolanm@redhat.com>	2019-05-20 21:36:34 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-05-21 09:53:24 +0200
commit	d92d98b35bb1846c82b401a53392a64118f51da2 (patch)
tree	8bccedf43397737b983a3f79c395226a46ed345d
parent	6953aa7ce0e276c4961d7caac9ea2542d92f08bc (diff)
tdf#125384 allow setting initial tabpage before dialog is running

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2019-11-14 17:09:20 UTC
I think the dropped entry sometimes becomes a *child* of another entry instead of a peer.
Comment 4 Commit Notification 2019-11-15 13:28:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/17d896731b5ee13ff3499d0db94315a67a9782a4

Resolves: tdf#128802 manage dnd ourself

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-11-15 15:52:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/fafd25e4b6c7ee7d6e47791bb37d3a242d7c4a16

Resolves: tdf#128802 manage dnd ourself

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2019-11-15 16:32:41 UTC
fixed in master and 6-4, backport to 6-3 in gerrit
Comment 7 Xisco Faulí 2019-11-19 11:36:21 UTC
Verified in

Version: 6.4.0.0.beta1+
Build ID: 1987c98926a85a483a32ea78e460e563a6ea4705
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 8 Commit Notification 2019-11-19 11:40:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/485e9df9e3e5d444d455c280c30d72cbc1e49a69

Resolves: tdf#128802 manage dnd ourself

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.